package hu.stunts.scr.apps;

import java.util.Map;

public class PlainReplay extends BaseReplay {
	
	public PlainReplay(String filePath, Map<String, String>... dictionaries) {
		super(filePath, dictionaries);
	}
	
	public PlainReplay(String filePath) {
		super(filePath);
	}

	public double computeTime(boolean usePenalty) {
		return (double)computeDuration(usePenalty);
	}
	
	public double computeTime() {
		return computeTime(true);
	}
	
	public String additionalStateWarnings() {
		return "No corrections applied on laptime. \n";
	}
}
